From f85b9c16db8e388cd6a62fbe8e8aabe9ef082c99 Mon Sep 17 00:00:00 2001
From: gregor herrmann <gregoa@debian.org>
Date: Sat, 25 Aug 2012 14:52:01 +0200
Subject: [PATCH 5/5] Output messages about the files-excluding action.

---
 scripts/uscan.pl |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/scripts/uscan.pl b/scripts/uscan.pl
index 0bab138..ba458ea 100755
--- a/scripts/uscan.pl
+++ b/scripts/uscan.pl
@@ -1443,6 +1443,7 @@ EOF
 	}
     }
 
+    my $excludesuffix = '+dfsg';
     if ( !$no_exclusion ) {
         my $data = Dpkg::Control::Hash->new();
         $data->load('debian/copyright');
@@ -1465,7 +1466,6 @@ EOF
                 system('unzip', '-q', '-a', '-d', $tempdir, "$destdir/$newfile_base") == 0
                    or die("Repacking from zip or jar to tar.gz failed (could not unzip)\n");
             }
-            my $excludesuffix = '+dfsg' ;
             my $main_source_dir = get_main_source_dir($tempdir, $pkg, $newversion, $excludesuffix);
             unless ( -d $main_source_dir ) {
                 print STDERR "Error: $main_source_dir is no directory";
@@ -1488,7 +1488,7 @@ EOF
                 my $newfile_base_dfsg = "${pkg}_${newversion}${excludesuffix}.orig.tar.$suffix" ;
                 system("cd $tempdir; GZIP='-n -9' tar --owner=root --group=root --mode=a+rX -czf \"$absdestdir/$newfile_base_dfsg\" $globpattern") == 0
                    or die("Excluding files failed (could not create tarball)\n");
-                $symlink = 'no' # prevent symlinking or renaming
+                $symlink = 'files-excluded' # prevent symlinking or renaming
             }
         }
     }
@@ -1519,6 +1519,8 @@ EOF
 		print "    and symlinked $renamed_base to it\n";
 	    } elsif ($symlink eq 'rename') {
 		print "    and renamed it as $renamed_base\n";
+	    } elsif ($symlink eq 'files-excluded') {
+		print "    and removed files from it in ${pkg}_${newversion}${excludesuffix}.orig.tar.$suffix\n";
 	    }
 	} elsif ($dehs) {
 	    my $msg = "Successfully downloaded updated package $newfile_base";
@@ -1527,6 +1529,8 @@ EOF
 		$msg .= " and symlinked $renamed_base to it";
 	    } elsif ($symlink eq 'rename') {
 		$msg .= " and renamed it as $renamed_base";
+	    } elsif ($symlink eq 'files-excluded') {
+		$msg .= " and removed files from it in ${pkg}_${newversion}${excludesuffix}.orig.tar.$suffix\n";
 	    } else {
 		$dehs_tags{'target'} = $newfile_base;
 	    }
@@ -1537,6 +1541,8 @@ EOF
 		print "    and symlinked $renamed_base to it\n";
 	    } elsif ($symlink eq 'rename') {
 		print "    and renamed it as $renamed_base\n";
+	    } elsif ($symlink eq 'files-excluded') {
+		print "    and removed files from it in ${pkg}_${newversion}${excludesuffix}.orig.tar.$suffix\n";
 	    }
 	}
 	last;
-- 
1.7.10.4

